/**
 *   地图调用统一接口
 * */
function MapAPI() {}

MapAPI.setMap = function(map){
	this.ezmap = map;
}
MapAPI.getMap = function(){
	return this.ezmap;
};
MapAPI.setInfoWindow=function(infoWindow){
	this.infoWindow=infoWindow;
};
MapAPI.getInfoWindow=function(){
	return this.infoWindow;
};
MapAPI.setPopupTemplate=function(popupTemplate){
	this.popupTemplate=popupTemplate;
};
MapAPI.getPopupTemplate=function(){
	return this.popupTemplate;
};
MapAPI.setPictureMarkerSymbol=function(pictureMarkerSymbol){
	this.pictureMarkerSymbol=pictureMarkerSymbol;
};
MapAPI.getPictureMarkerSymbol=function(){
	return this.pictureMarkerSymbol;
};
MapAPI.setInfoTemplate=function(infoTemplate){
	this.infoTemplate=infoTemplate;
};
MapAPI.getInfoTemplate=function(){
	return this.infoTemplate;
};
MapAPI.setGraphic=function(graphic){
	this.graphic=graphic;
};
MapAPI.getGraphic=function(){
	return this.graphic;
};
MapAPI.getCameraGraphicsLayer = function(){
	return this.cameraGraphicsLayer;
};
MapAPI.setCameraGraphicsLayer = function(cameraGraphicsLayer){
	 this.cameraGraphicsLayer=cameraGraphicsLayer;
};
MapAPI.getRoadGraphicsLayer = function(){
	return this.roadGraphicsLayer;
};
MapAPI.setRoadGraphicsLayer = function(roadGraphicsLayer){
	this.roadGraphicsLayer=roadGraphicsLayer;
};
MapAPI.getFrameSelectGraphicsLayer = function(){
	return this.frameSelectGraphicsLayer;
};
MapAPI.setFrameSelectGraphicsLayer = function(frameSelectGraphicsLayer){
	this.frameSelectGraphicsLayer=frameSelectGraphicsLayer;
};
MapAPI.getCircleGraphicsLayer = function(){
	return this.circleGraphicsLayer;
};
MapAPI.setCircleGraphicsLayer = function(circleGraphicsLayer){
	this.circleGraphicsLayer=circleGraphicsLayer;
};
MapAPI.getJtjzwGraphicsLayer = function(){
	return this.jtjzwGraphicsLayer;
};
MapAPI.setJtjzwGraphicsLayer = function(jtjzwGraphicsLayer){
	this.jtjzwGraphicsLayer=jtjzwGraphicsLayer;
};
MapAPI.getXjGraphicsLayer = function(){
	return this.xjGraphicsLayer;
};
MapAPI.setXjGraphicsLayer = function(xjGraphicsLayer){
	this.xjGraphicsLayer=xjGraphicsLayer;
};
MapAPI.getNhywjtbzGraphicsLayer = function(){
	return this.nhywjtbzGraphicsLayer;
};
MapAPI.setNhywjtbzGraphicsLayer = function(nhywjtbzGraphicsLayer){
	this.nhywjtbzGraphicsLayer=nhywjtbzGraphicsLayer;
};
MapAPI.getJtbxGraphicsLayer = function(){
	return this.jtbxGraphicsLayer;
};
MapAPI.setJtbxGraphicsLayer = function(jtbxGraphicsLayer){
	this.jtbxGraphicsLayer=jtbxGraphicsLayer;
};
MapAPI.getJthlGraphicsLayer = function(){
	return this.jthlGraphicsLayer;
};
MapAPI.setJthlGraphicsLayer = function(jthlGraphicsLayer){
	this.jthlGraphicsLayer=jthlGraphicsLayer;
};
MapAPI.getJtxhdGraphicsLayer = function(){
	return this.jtxhdGraphicsLayer;
};
MapAPI.setJtxhdGraphicsLayer = function(jtxhdGraphicsLayer){
	this.jtxhdGraphicsLayer=jtxhdGraphicsLayer;
};
MapAPI.getJtydpGraphicsLayer = function(){
	return this.jtydpGraphicsLayer;
};
MapAPI.setJtydpGraphicsLayer = function(jtydpGraphicsLayer){
	this.jtydpGraphicsLayer=jtydpGraphicsLayer;
};

MapAPI.getPoint = function(){
	return this.point;
}
MapAPI.setPoint = function(point){
	this.point = point;
}
MapAPI.setDraw=function(draw){
	this.draw=draw;
};
MapAPI.getDraw=function(){
	return this.draw;
};
MapAPI.setSimpleLineSymbol=function(simpleLineSymbol){
	this.simpleLineSymbol=simpleLineSymbol;
};
MapAPI.getSimpleLineSymbol=function(){
	return this.simpleLineSymbol;
};
MapAPI.setPictureFillSymbol=function(pictureFillSymbol){
	this.pictureFillSymbol=pictureFillSymbol;
};
MapAPI.getPictureFillSymbol=function(){
	return this.pictureFillSymbol;
};
MapAPI.setColor=function(color){
	this.color=color;
};
MapAPI.getColor=function(){
	return this.color;
};
MapAPI.setSimpleFillSymbol=function(simpleFillSymbol){
	this.simpleFillSymbol=simpleFillSymbol;
};
MapAPI.getSimpleFillSymbol=function(){
	return this.simpleFillSymbol;
};

MapAPI.setCartographicLineSymbol=function(cartographicLineSymbol){
	this.cartographicLineSymbol=cartographicLineSymbol;
};
MapAPI.getCartographicLineSymbol=function(){
	return this.cartographicLineSymbol;
};